#!/bin/sh

APPLICATION="llrpd"

PLATFORM_ARMV7A_HF_DIR="./ARMv7a-hf"
PLATFORM_ARMV7A_DIR="./ARMv7a"
PLATFORM_ARMV4T_DIR="./ARMv4t"

PLATFORM_UUID=`/usr/rfid/version -u`

# check which version has to be extracted
case ${PLATFORM_UUID} in
	06DD142C-68E0-498E-BEA0-8CF1DB68F285 | 07F2ED0D-CF15-42D5-B5A4-0642C6C395F3)
		PLATFORM_DIR=${PLATFORM_ARMV7A_HF_DIR}
		;;

	E2C4D78C-C9FE-4594-8153-82B51312166E)
		PLATFORM_DIR=${PLATFORM_ARMV7A_DIR}
		;;

	*)
		PLATFORM_DIR=${PLATFORM_ARMV4T_DIR}
		;;
esac

# extract and move to the current directory
tar -xzf ${APPLICATION}.tar.gz ${PLATFORM_DIR}/${APPLICATION}
if [ -f ${PLATFORM_DIR}/${APPLICATION} ]; then
	mv ${PLATFORM_DIR}/${APPLICATION} ${APPLICATION}
	chmod 755 ${APPLICATION}
fi

if [ -d ${PLATFORM_DIR} ]; then rm -rf ${PLATFORM_DIR}; fi
if [ -f ${APPLICATION}.tar.gz ]; then rm -f ${APPLICATION}.tar.gz; fi

sync

exit 0
